package com.diagbot.client;

import com.diagbot.client.hystrix.ICSSServiceHystrix;
import com.diagbot.dto.EMRIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.EMRIntroduceVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/3/11 14:33
 */
@FeignClient(value = "icss-service", fallback = ICSSServiceHystrix.class)
public interface ICSSServiceClient {
    /**
     * 获取检验检查提示信息
     *
     * @param emrIntroduceVO
     * @return
     */
    @PostMapping("/introduceInfo/getIntroduceByEMR")
    RespDTO<List<EMRIntroduceDTO>> getIntroduceByEMR(@RequestBody EMRIntroduceVO emrIntroduceVO);
}
