package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.LisConfigDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.EMRInfoFacade;
import com.diagbot.vo.EMRInfoVO;
import com.diagbot.vo.LisHospitalCodeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/3/11 11:40
 */
@RestController
@RequestMapping("/EMRInfo")
@Api(value = "电子病历评级-检验检查指标解读相关API", tags = { "电子病历评级-检验检查指标解读相关API" })
public class EMRInfoController {
    @Autowired
    EMRInfoFacade emrInfoFacade;

    @ApiOperation(value = "电子病历评级检验检测项解读:[by:zhaops]",
            notes = "name: 标签名称，必填<br>" +
                    "type: 标签类型，必填<br>" +
                    "mealName: 套餐名称（检验检查），必填<br>" +
                    "itemName: 项目名称（检验）<br>" +
                    "titles(数组): 标题列表<br>")
    @PostMapping("/getEMRInfo")
    @SysLogger("getEMRInfo")
    public RespDTO<List<LisConfigDTO>> getEMRInfo(@RequestBody EMRInfoVO emrInfoVO) {
        return RespDTO.onSuc(emrInfoFacade.getEMRInfo(emrInfoVO));
    }
}